### Method

# Gtk Snapshotrender_frame

deprecated: 4.10

#### Declaration [src]

    void
    gtk_snapshot_render_frame (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Creates a render node for the CSS border according to `context`, and appends it to the current node of `snapshot`, without changing the current node.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  The style context that defines the frame.

  The data is owned by the caller of the method.

`x`

  Type: `double`

  X origin of the rectangle.

`y`

  Type: `double`

  Y origin of the rectangle.

`width`

  Type: `double`

  Rectangle width.

`height`

  Type: `double`

  Rectangle height.